Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.deploy.api.spi
Class DeploymentOptions

    java.lang.Object
      weblogic.deploy.api.spi.DeploymentOptions

All Implemented Interfaces:
  Serializable

    public final class DeploymentOptions

extends Object
implements Serializable

Common options for deployment operations.

See Also:
  Serialized Form

Field Summary
`static boolean` | `ADMIN_ACCESS` Start web application with restricted access (test mode).
`static int` | `CLUSTER_DEPLOYMENT_TIMEOUT` Default deployment timeout value for deployment operations.
`static String` | `EXTERNAL_STAGE` Manual staging of files.
`static boolean` | `FULL_ACCESS` Start web application with normal access
`static String` | `NOSTAGE` Inhibit copying of files to target servers.
`static String` | `STAGE` Force copying of files to target servers.
`static String` | `STAGE_DEFAULT` Use default or configured staging mode.

Constructor Summary
`DeploymentOptions()` Create instance with defaulted options.

Method Summary
`String` | `getAltDD()` A path on the file system for the application descriptor for this application.
`String` | `getAltWlsDD()` A path on the file system for the WLS-specific application descriptor for this application.
`String` | `getArchiveVersion()` The version identifier of the application.
`int` | `getClusterDeploymentTimeout()` Milliseconds granted for a cluster deployment task on this application.
`String` | `getDeploymentPrincipalName()`
`long` | `getForceUndeployTimeout()` Specifies the timeout value in seconds for the force undeploy operation.
`String` | `getLibImplVersion()` The implementation version of a library application.
`String` | `getLibSpecVersion()` The specification version of a library application.
`String` | `getName()`
`String` | `getPlanVersion()` The version identifier of the deployment plan used in this deployment.
`int` | `getRetireTime()` Specifies how long to wait in seconds before retiring an application that has been replaced with a newer version.
`int` | `getRMIGracePeriodSecs()` Specifies the RMI grace period for the graceful production to admin mode operation.
`String` | `getSecurityModel()` The security deployment model to use for this application.
`String` | `getStageMode()` Indicates how files will be made available to managed servers.
`long` | `getTimeout()` User provided timeout value in milliseconds.
`String` | `getVersionIdentifier()` The full version identifier of the application for this deployment, including the archive and plan versions.
`boolean` | `isAdminMode()` Indicates whether a web application should be started with restricted access.
`boolean` | `isGracefulIgnoreSessions()` Specifies whether the graceful production to admin mode operation should ignore pending HTTP sessions.
`boolean` | `isGracefulProductionToAdmin()` Specifies whether the production to admin mode operation should be graceful.
`boolean` | `isLibrary()` Indicates whether the application is to be deployed as a library.
`boolean` | `isNameFromLibrary()` Indicates that the app name should be derived from the library manifest.
`boolean` | `isNoVersion()` Indicates that the operation will skip version checks on the app source so that we can relax the restriction on the existance of the app source on the admin server for really large apps
`boolean` | `isRemote()` Indicates that the operation will be remote from the file system that contains the source.
`boolean` | `isRetireGracefully()` Specifies the retirement policy to gracefully retire an app only after it has completed all in-flight work.
`boolean` | `isSecurityValidationEnabled()` Specifies whether security deployment data should be validated.
`boolean` | `isUndeployAllVersions()` Specifies whether the undeploy operation should undeploy all app versions irrespective of in-flight work.
`void` | `setAdminMode(boolean b)` Specify whether application should be deployed with restricted access.
`void` | `setAltDD(String altDD)` Specifies an alternate path on the file system of the application descriptor for this application.
`void` | `setAltWlsDD(String altWlsDD)` Specifies an alternate path on the file system of the WLS-specific application descriptor for this application.
`void` | `setArchiveVersion(String version)` Specifies the application version for the application.
`void` | `setClusterDeploymentTimeout(int timeInMillis)`
`void` | `setDeploymentPrincipalName(String principal)`
`void` | `setForceUndeployTimeout(long timeInSecs)`
`void` | `setGracefulIgnoreSessions(boolean b)`
`void` | `setGracefulProductionToAdmin(boolean b)`
`void` | `setLibImplVersion(String version)` Specifies the implementation version of a library application if it is not present in the manifest.
`void` | `setLibrary(boolean isLibrary)` Specify if application is a library.
`void` | `setLibSpecVersion(String version)` Specifies the specification version of a library application if it is not present in the manifest.
`void` | `setName(String name)`
`void` | `setNameFromLibrary(boolean nameFromLibrary)` Specify that the app name should be derived from the library manifest.
`void` | `setNoVersion(boolean ignoreVersion)` Indicates that the operation will skip version checks on the app source So that we can relax the restriction on the existance of the app source on the admin server for really large apps
`void` | `setPlanVersion(String planVersion)` Specifies a deployment plan version for this deployment.
`void` | `setRemote(boolean setRemote)` Indicates that the operation will be remote from the file system that contains the source.
`void` | `setRetireGracefully(boolean b)`
`void` | `setRetireTime(int i)`
`void` | `setRMIGracePeriodSecs(int secs)`
`void` | `setSecurityModel(String model)` Specifies a security deployment model to use for this application.
`void` | `setSecurityValidationEnabled(boolean enable)` Specify whether to validate security deployment data.
`void` | `setStageMode(String s)`
`void` | `setTimeout(long timeout)` The maximum time in milliseconds for the deployment to complete before it it is considered to have failed.
`void` | `setUndeployAllVersions(boolean b)`
`void` | `setVersionIdentifier(String version)` Specifies the full version identifier for this deployment.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STAGE_DEFAULT

    public static final String STAGE_DEFAULT

  Use default or configured staging mode.

### STAGE

    public static final String STAGE

  Force copying of files to target servers.

  See Also:
    Constant Field Values

### NOSTAGE

    public static final String NOSTAGE

  Inhibit copying of files to target servers.

  See Also:
    Constant Field Values

### EXTERNAL_STAGE

    public static final String EXTERNAL_STAGE

  Manual staging of files.

  See Also:
    Constant Field Values

### FULL_ACCESS

    public static final boolean FULL_ACCESS

  Start web application with normal access

  See Also:
    Constant Field Values

### ADMIN_ACCESS

    public static final boolean ADMIN_ACCESS

  Start web application with restricted access (test mode).

  See Also:
    Constant Field Values

### CLUSTER_DEPLOYMENT_TIMEOUT

    public static final int CLUSTER_DEPLOYMENT_TIMEOUT

  Default deployment timeout value for deployment operations. Time is in milliseconds.

  See Also:
    Constant Field Values

Constructor Detail

### DeploymentOptions

    public DeploymentOptions()

  Create instance with defaulted options.

Method Detail

### getAltDD

    public String getAltDD()

  A path on the file system for the application descriptor for this application. If null, the usual location within the ear is used (META-INF/application.xml)

### setAltDD

    public void setAltDD(String altDD)

  Specifies an alternate path on the file system of the application descriptor for this application.

### getAltWlsDD

    public String getAltWlsDD()

  A path on the file system for the WLS-specific application descriptor for this application. If null, the usual location within the EAR file is used, (META-INF/weblogic-application.xml)

### setAltWlsDD

    public void setAltWlsDD(String altWlsDD)

  Specifies an alternate path on the file system of the WLS-specific application descriptor for this application.

### getSecurityModel

    public String getSecurityModel()

  The security deployment model to use for this application. If null then the security model used is derived from the security realm or the application's deployment security setting.

  Returns:
    the name of the deployment model

### setSecurityModel

    public void setSecurityModel(String model)
                          throws IllegalArgumentException

  Specifies a security deployment model to use for this application. Legal values are defined by weblogic.management.security.DeploymentModel.DD_ONLY, weblogic.management.security.DeploymentModel.CUSTOM_ROLES, weblogic.management.security.DeploymentModel.CUSTOM_ROLES_POLICIES, and weblogic.management.security.DeploymentModel.ADVANCED

  Throws:
    `IllegalArgumentException`

### isSecurityValidationEnabled

    public boolean isSecurityValidationEnabled()

  Specifies whether security deployment data should be validated. The default is false.

### setSecurityValidationEnabled

    public void setSecurityValidationEnabled(boolean enable)

  Specify whether to validate security deployment data.

### getArchiveVersion

    public String getArchiveVersion()

  The version identifier of the application. If not specified, the currently active version of the application is assumed. For new applications the default is the version specified in the archive's manifest.

  Returns:
    version of application archive being deployed.

### setArchiveVersion

    public void setArchiveVersion(String version)

  Specifies the application version for the application.

### getPlanVersion

    public String getPlanVersion()

  The version identifier of the deployment plan used in this deployment. If not specified, the currently active version of the application's plan is assumed. If a deployment plan is specified in the deployment operation, the version number in that plan is the default version used.

  Returns:
    version of application archive being deployed.

### setPlanVersion

    public void setPlanVersion(String planVersion)

  Specifies a deployment plan version for this deployment.

### getVersionIdentifier

    public String getVersionIdentifier()

  The full version identifier of the application for this deployment, including the archive and plan versions.

### setVersionIdentifier

    public void setVersionIdentifier(String version)

  Specifies the full version identifier for this deployment. Implicitly sets the archive and plan version properties.

### isLibrary

    public boolean isLibrary()

  Indicates whether the application is to be deployed as a library. The default is false.

### setLibrary

    public void setLibrary(boolean isLibrary)

  Specify if application is a library.

### getLibSpecVersion

    public String getLibSpecVersion()

  The specification version of a library application. The default is the value specified in the library's manifest. Library version identifiers are made up from the specification and implementation versions.

### setLibSpecVersion

    public void setLibSpecVersion(String version)

  Specifies the specification version of a library application if it is not present in the manifest.

### getLibImplVersion

    public String getLibImplVersion()

  The implementation version of a library application. The default is the value specified in the library's manifest. Library version identifiers are made up from the specification and implementation versions.

### setLibImplVersion

    public void setLibImplVersion(String version)

  Specifies the implementation version of a library application if it is not present in the manifest.

### isNameFromLibrary

    public boolean isNameFromLibrary()

  Indicates that the app name should be derived from the library manifest. The default is false.

### setNameFromLibrary

    public void setNameFromLibrary(boolean nameFromLibrary)

  Specify that the app name should be derived from the library manifest. If this deployment is for a library that specifies its name in its manifest, this propery should be set to true.

### isAdminMode

    public boolean isAdminMode()

  Indicates whether a web application should be started with restricted access. Restricted access implies the application will only receive requests over an administrative port. This option is only meaningful for operations that start or stop an application. The default is false.

### setAdminMode

    public void setAdminMode(boolean b)

  Specify whether application should be deployed with restricted access.

  See Also:
    `DeploymentOptions.FULL_ACCESS`, `DeploymentOptions.ADMIN_ACCESS`

### getRetireTime

    public int getRetireTime()

  Specifies how long to wait in seconds before retiring an application that has been replaced with a newer version. This policy is only meaningful for redeploy operations and is mutually exclusive to the graceful retirement policy.

### setRetireTime

    public void setRetireTime(int i)

### isRetireGracefully

    public boolean isRetireGracefully()

  Specifies the retirement policy to gracefully retire an app only after it has completed all in-flight work. This policy is only meaningful for redeploy operations and is mutually exclusive to the retire timeout policy.

### setRetireGracefully

    public void setRetireGracefully(boolean b)

### isGracefulProductionToAdmin

    public boolean isGracefulProductionToAdmin()

  Specifies whether the production to admin mode operation should be graceful. The default is false, indicating the application is forced into admin mode.

### setGracefulProductionToAdmin

    public void setGracefulProductionToAdmin(boolean b)

### isGracefulIgnoreSessions

    public boolean isGracefulIgnoreSessions()

  Specifies whether the graceful production to admin mode operation should ignore pending HTTP sessions. The default is false.

### setGracefulIgnoreSessions

    public void setGracefulIgnoreSessions(boolean b)

### getRMIGracePeriodSecs

    public int getRMIGracePeriodSecs()

  Specifies the RMI grace period for the graceful production to admin mode operation.

### setRMIGracePeriodSecs

    public void setRMIGracePeriodSecs(int secs)

### isUndeployAllVersions

    public boolean isUndeployAllVersions()

  Specifies whether the undeploy operation should undeploy all app versions irrespective of in-flight work.

### setUndeployAllVersions

    public void setUndeployAllVersions(boolean b)

### getStageMode

    public String getStageMode()

  Indicates how files will be made available to managed servers. This option is only meaningful for operations that involve initial application file distribution. Attempts to change the staging mode of an existing application will fail.

### setStageMode

    public void setStageMode(String s)

### getClusterDeploymentTimeout

    public int getClusterDeploymentTimeout()

  Milliseconds granted for a cluster deployment task on this application. If any deployment tasks remain active for longer, the task will be cancelled.

  The larger the application, the larger the value for timeout should be, as the gating factor is associated with download time and processing time required to load the application files.

  A server instance checks for timed out deployments about once a minute.

  Only cluster deployments can be timed out.

  Returns:
    The deploymentTimeout value

### setClusterDeploymentTimeout

    public void setClusterDeploymentTimeout(int timeInMillis)

### getForceUndeployTimeout

    public long getForceUndeployTimeout()

  Specifies the timeout value in seconds for the force undeploy operation. This is to allow pending requests (which may not be part of the stateful work tracked by graceful undeploy) to finish.

### setForceUndeployTimeout

    public void setForceUndeployTimeout(long timeInSecs)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

  Returns:
    override of the app name. Used only on client side

### setName

    public void setName(String name)

### isNoVersion

    public boolean isNoVersion()

  Indicates that the operation will skip version checks on the app source so that we can relax the restriction on the existance of the app source on the admin server for really large apps

### setNoVersion

    public void setNoVersion(boolean ignoreVersion)

  Indicates that the operation will skip version checks on the app source So that we can relax the restriction on the existance of the app source on the admin server for really large apps

### getTimeout

    public long getTimeout()

  User provided timeout value in milliseconds. The maximum time for the deployment to complete before it it is considered failed.

  Returns:
    timeout value or 0 if none.

### setTimeout

    public void setTimeout(long timeout)

  The maximum time in milliseconds for the deployment to complete before it it is considered to have failed. The default value is 0, indicating no timeout value.

### isRemote

    public boolean isRemote()

  Indicates that the operation will be remote from the file system that contains the source. This means the source for the operation is expected to be at the specified location on the machine where the server is located.

### setRemote

    public void setRemote(boolean setRemote)

  Indicates that the operation will be remote from the file system that contains the source. This means the source for the operation is expected to be at the specified location on the machine where the server is located.

### setDeploymentPrincipalName

    public void setDeploymentPrincipalName(String principal)

### getDeploymentPrincipalName

    public String getDeploymentPrincipalName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD